import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsNotEmpty, IsString, MinLength } from 'class-validator';

export class CreateUserDto {
  @ApiProperty()
  @IsNotEmpty()
  @IsString()
  name: string;

  @ApiProperty({ minLength: 5 })
  @IsNotEmpty()
  @IsString()
  @MinLength(5)
  password: string;

  @ApiProperty()
  @IsEmail()
  email: string;
}
